
# Notion MCP Server

An MCP Server for the Notion API.

## Supported Integrations

- AgentR
- API Key (Coming Soon)
- OAuth (Coming Soon)

## Tools

This is automatically generated from OpenAPI schema for the Notion API.

## Supported Integrations

This tool can be integrated with any service that supports HTTP requests.

## Tool List

| Tool | Description |
|------|-------------|
| retrieve_a_user | Retrieves user details from the server using the specified user ID. |
| list_a_ll_users | Fetches a list of all users from the API endpoint and returns the data as a dictionary. |
| retrieve_your_token_sbot_user | Retrieves the authentication token for the current user from the SBOT service. |
| retrieve_a_database | Retrieves database details from a specified endpoint using the provided database ID. |
| update_a_database | Updates a database entry with the given ID using a PATCH request. |
| query_a_database | Executes a query on a specified database using an identifier and an optional request body. |
| create_a_database | Creates a new database on the server using the specified request body. |
| create_a_page | Creates a new page by sending a POST request to the specified endpoint. |
| retrieve_a_page | Retrieves a page by its unique identifier from a remote server. |
| update_page_properties | Updates the properties of a page identified by its ID using the provided request body. |
| retrieve_a_page_property_item | Retrieves the property item of a page using specified page and property identifiers. |
| retrieve_block_children | Retrieves the children of a specified block using its unique identifier. |
| append_block_children | Appends child elements to a block identified by its ID and returns the updated block data. |
| retrieve_a_block | Retrieves a block of data from a given API endpoint using the specified block ID. |
| delete_a_block | Deletes a block by its unique identifier and returns the server's response. |
| update_a_block | Updates a block by sending a PATCH request to the specified endpoint. |
| search | Executes a search query using the specified request body and returns the results. |
| retrieve_comments | Fetches comments from a remote server for a specified block, with optional pagination. |
| add_comment_to_page | Adds a comment to a page by sending a POST request with the provided request body. |



## Usage

- Login to AgentR
- Follow the quickstart guide to setup MCP Server for your client
- Visit Apps Store and enable the Notion app
- Restart the MCP Server

### Local Development

- Follow the README to test with the local MCP Server
